<div  class= "container-fluid mt-2">
    <h4>Nueva Venta</h4>

    <hr class="sidebar-divider my-0">
    <form #f="ngForm" (ngSubmit)="PostVentaProdu(f)">
      
         <div class="form-row mt-2">
            <div class="form-group col-md-3">
              
              <label>Clientes</label>              
              <select class="form-control" name="cliente" [(ngModel)]="cliente" required name="clientes" #clientes="ngModel" ngModel>
                <option value=""></option>          
                <option *ngFor="let cli of client" [value]="cli.idCliente">
                {{cli.nombreApe}}
              </option>                                
              </select>                                
                                                                                                                                                 
                <label for="inputState">Productos</label>   
                <input class="form-control" type="text" [(ngModel)]="nombre" name="nombre" (ngModelChange)="SearchProdu()" placeholder="Buscar nombre del producto...">
              </div>                 

            <div class="form-group col-md-5">
            <div id="div" class="form-row mt-3">
              <table id="table1" #dato class="table table-sm mt-3 ml-2" >        
              <thead class="thead-dark">
                <tr class="table">
                  <th scope="col">Nombre</th>  
                  <th scope="col">Valor</th>                  
                  <th scope="col">Agregar</th>                 
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let p of producto, index as i">
                  <td hidden>{{p.id_Productos}}</td>
                  <td>{{p.nombre}}</td>
                  <td>{{p.valor}}</td>                                 
                  <td><button type="button" (click)="addProductToCart(p)" class="btn btn-primary btn-sm  ml-4 "><i class="fas fa-plus"></i></button></td>                      
                </tr>             
              </tbody>
              </table>  
            </div>   
            </div>            
        </div>       
                   
          <div id="div1" class="form-row">
            <table class="table table-striped mt-1">        
            <thead class="thead-dark">
              <tr>
                <th scope="col" ><i class="fas fa-shopping-cart"></i></th>                 
                <th scope="col">Producto</th>
                <th scope="col">Cantidad</th>                
                <th scope="col">Valor Unit</th>
                <th scope="col">Eliminar</th>                
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let c of carrito, index as i">
                <th scope="row"><i class="far fa-check-circle"></i></th>                
                <td>{{c.descripcion}}</td>
                <td>{{c.cantidad}}</td>
                <td>{{c.precio}}</td>                                              
                <button type="button" (click)="DeleteCarrito(c.id_Productos, i)" class="btn btn-danger btn-sm mt-2 ml-4"><i class="fas fa-trash-alt"></i></button>             
              </tr>             
            </tbody>
            </table>
          </div>         
          
        <hr class="sidebar-divider my-2">
        <div class="form-row ml-1">
          <h4>Total: $ {{cartTotal}} </h4>        
      </div>
        <button type="submit" class="btn btn-success">Confirmar venta!</button>                 
     </form>     
</div>